# $Revision: 1.40 $, $Date: 2012/01/16 18:34:05 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	Sybase
Summary:	DBD::Sybase - Sybase database driver for the DBI module
Summary(pl.UTF-8):	DBD::Sybase - sterownik DBI do bazy danych Sybase
Name:		perl-DBD-Sybase
Version:	1.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	db6662d710b3adffe37bd8aec8060eda
URL:		http://search.cpan.org/dist/DBD-Sybase/
BuildRequires:	freetds-devel
BuildRequires:	perl-DBI >= 1.00
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::Sybase is a Perl module which works with the DBI module to
provide access to Sybase databases. With FreeTDS DBD::Sybase can be
also used to query a MS-SQL 7 or 2000 database server from a
UNIX/Linux host.

%description -l pl.UTF-8
DBD::Sybase jest modułem Perla współpracującym z modułem DBI i
umożliwiającym dostęp do baz danych Sybase. Przy wykorzystaniu
FreeTDS, DBD::Sybase można również wykorzystać do dostępu z poziomu
Uniksa/Linuksa do serwerów bazodanowych MS-SQL 7 lub 2000.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%{__perl} -pi -e 's@/lib([ "])@/%{_lib}$1@g' Makefile.PL

%build
SYBASE=/usr ; export SYBASE
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES README
%{perl_vendorarch}/DBD/Sybase.pm
%dir %{perl_vendorarch}/auto/DBD/Sybase
%{perl_vendorarch}/auto/DBD/Sybase/Sybase.bs
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/Sybase/Sybase.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-Sybase.spec,v $
Revision 1.40  2012/01/16 18:34:05  zbyniu
- up to 1.14

Revision 1.39  2011/10/11 08:21:13  lisu
- rel 5

Revision 1.38  2010/11/12 23:38:11  pawelz
- release 4

Revision 1.37  2010/06/06 08:34:29  arekm
- release 3

Revision 1.36  2009/03/14 11:39:00  hawk
- release 2

Revision 1.35  2008/09/06 11:41:43  hawk
- updated to 1.09

Revision 1.34  2008/07/21 15:51:58  megabajt
- release 3

Revision 1.33  2008/06/16 10:57:57  hawk
- release 2

Revision 1.32  2008-04-02 08:35:48  arekm
- up to 1.08

Revision 1.31  2008-03-15 21:25:47  qboosh
- generic URL

Revision 1.30  2008-02-10 12:07:13  arekm
- rel 3

Revision 1.29  2008-02-07 08:54:11  ankry
- pl

Revision 1.28  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.27  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.25  2006/11/23 09:05:58  hawk
- release 2, rebuild with new freetds

Revision 1.24  2006/03/13 12:39:12  hawk
- updated to 1.07

Revision 1.23  2005/04/27 14:45:54  hawk
- release 3

Revision 1.22  2005/04/27 11:29:40  hawk
- release 2 (1 for Ra)

Revision 1.21  2005/01/16 17:06:30  darekr
- updated to 1.05

Revision 1.20  2005/01/02 14:19:31  hawk
- release 2 (1 for RA)

Revision 1.19  2004/12/05 16:43:56  darekr
- updated to 1.04

Revision 1.18  2004/11/03 22:30:15  paladine
- formatting

Revision 1.17  2004/05/23 19:12:03  qboosh
- hack Makefile.PL for lib64 support; typo, release 2

Revision 1.16  2004/05/05 11:02:12  ankry
- cosmetics

Revision 1.15  2004/04/20 06:13:58  ankry
- better summary/description, license unification

Revision 1.14  2003/12/27 23:02:23  pius
- updated to 1.02

Revision 1.13  2003/10/29 00:03:00  pius
- updated to 1.01

Revision 1.12  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/03/01 18:05:00  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:38:30  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:30:37  ankry
- massive attack: change CPAN URLs

Revision 1.5  2003/02/05 16:17:55  ankry
- autoupdated to 0.95

Revision 1.4  2002/08/18 12:04:35  blues
- release 2 - license fix; STBR

Revision 1.3  2002/07/25 05:40:30  kloczek
- use new %doc.

Revision 1.2  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.1  2002/03/22 22:12:30  qboosh
- new
